Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.expression
Class MethodCallException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--com.bea.p13n.exceptions.ApplicationException
                        |
                        +--com.bea.p13n.expression.ExpressionException
                              |
                              +--com.bea.p13n.expression.MethodCallException

public class MethodCallException
extends ExpressionException

Exception class for MethodCall related exceptions.

See Also:
  Serialized Form

Constructor Summary
`MethodCallException(java.lang.String msg)` Creates a `MethodCallException` by associating a given message.
`MethodCallException(java.lang.String msg, java.lang.Throwable nested)` Creates a `MethodCallException` by associating a given message and a nested exception.

Methods inherited from class com.bea.p13n.exceptions.ApplicationException
`getCause, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MethodCallException

    public MethodCallException(java.lang.String msg)

  Creates a `MethodCallException` by associating a given message.

  Parameters:
    `msg` - The message for error reporting.

### MethodCallException

    public MethodCallException(java.lang.String msg,
                               java.lang.Throwable nested)

  Creates a `MethodCallException` by associating a given message and a nested exception.

  Parameters:
    `msg` - The message for error reporting.
    `nested` - the underling exception that caused the failure.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved